Main Page Widgets glibmm Namespaces Book

# module.h File Reference

## Namespaces
namespace | Glib
## Classes
class | Glib::Module
| Dynamic Loading of Modules These functions provide a portable way to dynamically load object files (commonly known as 'plug-ins'). More...
## Enumerations
enum | Glib::ModuleFlags { Glib::MODULE_BIND_LAZY = 1 << 0, Glib::MODULE_BIND_LOCAL = 1 << 1, Glib::MODULE_BIND_MASK = 0x03 }
| Bitwise operators: `ModuleFlags operator|(ModuleFlags, ModuleFlags)` `ModuleFlags operator&(ModuleFlags, ModuleFlags)` `ModuleFlags operator^(ModuleFlags, ModuleFlags)` `ModuleFlags operator~(ModuleFlags)` `ModuleFlags& operator|=(ModuleFlags&, ModuleFlags)` `ModuleFlags& operator&=(ModuleFlags&, ModuleFlags)` `ModuleFlags& operator^=(ModuleFlags&, ModuleFlags)` More...
## Functions
ModuleFlags | Glib::operator| (ModuleFlags lhs, ModuleFlags rhs)
ModuleFlags | Glib::operator& (ModuleFlags lhs, ModuleFlags rhs)
ModuleFlags | Glib::operator^ (ModuleFlags lhs, ModuleFlags rhs)
ModuleFlags | Glib::operator~ (ModuleFlags flags)
ModuleFlags& | Glib::operator|= (ModuleFlags& lhs, ModuleFlags rhs)
ModuleFlags& | Glib::operator&= (ModuleFlags& lhs, ModuleFlags rhs)
ModuleFlags& | Glib::operator^= (ModuleFlags& lhs, ModuleFlags rhs)